<?php

use App\Http\Controllers\ImprovementTypeController;
use Illuminate\Support\Facades\Route;

Route::get('/improvement-types',        [ImprovementTypeController::class, 'index'])->middleware('permission:config.improvement_type,view');
Route::post('/improvement-type',        [ImprovementTypeController::class, 'store'])->middleware('permission:config.improvement_type,add');
Route::get('/improvement-type/{id}',    [ImprovementTypeController::class, 'show'])->middleware('permission:config.improvement_type,view');
Route::put('/improvement-type/{id}',    [ImprovementTypeController::class, 'update'])->middleware('permission:config.improvement_type,edit');
Route::delete('/improvement-type/{id}', [ImprovementTypeController::class, 'destroy'])->middleware('permission:config.improvement_type,delete');
